
require(ggplot2)

load("simulation_ploidy_4.RData")
dTet <- dd
rm(dd)
dTet$ploidy <- "4n"

load("simulation_ploidy_6.RData")
dHex <- dd
rm(dd)
dHex$ploidy <- "6n"

dd <- rbind(dHex,dTet)

theme_Publication <- function(base_size=16, base_family="Arial") {
      library(grid)
      library(ggthemes)
      (theme_foundation(base_size=base_size, base_family=base_family)
       + theme(plot.title = element_text(face = "bold",
                                         size = rel(1.2), hjust = 0.5),
               text = element_text(),
               panel.background = element_rect(colour = NA),
               plot.background = element_rect(colour = NA),
               panel.border = element_rect(colour = "black"),
               axis.title = element_text(face = "bold",size = rel(1)),
               axis.title.y = element_text(angle=90,vjust =2),
               axis.title.x = element_text(vjust = -0.2),
               axis.text = element_text(),
               axis.line = element_line(colour="black"),
               axis.ticks = element_line(),
               panel.grid.major = element_line(colour="#f0f0f0"),
               panel.grid.minor = element_blank(),
               panel.margin = unit(0.4,"cm"),
               legend.key = element_rect(colour = NA),
               legend.position = "bottom",
               legend.direction = "horizontal",
               legend.key.size= unit(0.9, "cm"),
               legend.margin = unit(0, "cm"),
##               legend.title = element_text(face="italic"),
               plot.margin=unit(c(10,5,5,5),"mm"),
               strip.background=element_rect(colour="#f0f0f0",fill="#f0f0f0"),
               strip.text = element_text(face="bold")
          ))
    }

names(dd)[names(dd)== "dataType"] <- "Data type:"

ggplot(dd) +
  geom_point(aes(x=numLoci,
                 y=avgPotentialsFound,
                 group=`Data type:`),
             size=4) +
               geom_line(aes(x=numLoci,
                             y=avgPotentialsFound,
                             linetype=`Data type:`),
                         size=1) +
                           facet_wrap(~ploidy,nrow=1) +
                             xlab("Number of loci observed") +
                               ylab("Mean number of candidate fathers not excluded") +
                                 theme_Publication()
ggsave("PolyPatEx_Figure_1.pdf",device=cairo_pdf)

